API SpecificationPRIVATEAccounts
List Passkeys
Returns the authenticated user's registered passkeys.
Required scopes: auth:account:read
Authorization
BearerAuth AuthorizationBearer <token>
JWT access token for internal API access. Requires 'private' scope for most endpoints, 'admin' scope for administrative operations.
In: header
Header Parameters
Connect-Protocol-Version*number
Define the version of the Connect protocol
Value in
1Connect-Timeout-Ms?number
Define the timeout, in ms
Request Body
application/json
[key: string]?never
Response Body
application/json
application/json
curl -X POST "https://auth.xeonr.io/xeonr.auth.private.v1.AccountService/ListPasskeys" \ -H "Connect-Protocol-Version: 1" \ -H "Content-Type: application/json" \ -d '{}'{
"credentials": [
{
"id": "string",
"displayName": "string",
"createdAt": "2023-01-15T01:30:15.01Z",
"lastUsedAt": "2023-01-15T01:30:15.01Z"
}
]
}{
"code": "not_found",
"message": "string",
"details": [
{
"type": "string",
"value": "string",
"debug": {}
}
]
}List Accounts POST
Returns a paginated list of user accounts. Supports filtering by username. **Required scopes:** `auth:users:read`
Begin Passkey Registration POST
Starts a WebAuthn registration: returns PublicKeyCredentialCreationOptions (resident-key required) plus a session id. Requires a recent login (step-up), like enabling 2FA. **Required scopes:** `auth:account:edit`